---
title: Meeting Minutes 2021-08-04
date: 2021-08-04
attendees:
  - toshaanbharvani,vantosh
  - timansell,google
  - michaelgielda,antmicro
  - antonblanchard,ibm
  - paulmackerras,ibm
  - toddrosedahl,ibm
  - lancealbertson,oregonstateuniversity
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 04 August 2021
Access link: https://zoom.us/j/94172983096
Meeting ID: 941 7298 309600

# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.

# AGENDA

## WG Chair Update

- Nominations
    - Karol Gugala [Antmicro] <kgugala@antmicro.com>
    - Todd Rosedahl [IBM?] <rosedahl@us.ibm.com>
- Votes
    - Motion to vote: Karol and Todd to be co-chairs of the work group.
        - Google (tansell@google.com): Yes
        - IBM (Todd): Yes
        - VanTosh (Toshaan) : Yes
        - Antmicro (Michael Gielda) : Yes
        - OSU (Lance Albertson) : Yes

## Getting hardware to people

 * There are 3 components;
     * AC922
         * [Buy](https://www-store.shop.ibm.com/shops/ips/product/server-18335-model-gth)
     * DC-SCM board
     * Interposer
         * 6 pieces

 * Want to have a "LibreBMC" setup for OCP Summit
     * Send to Rochester who will then bring them to the OCP summit.

 * Need to have complete set ups at;
     1) Antmicro*
     2) Australia* (Canberra - OzLab)
     3) Rochester*
     4) OSU for cloud access
     5) others if available (VanTosh, ...)

 * Todd to get AC922 shipped to Rochester, add interposer and then ship to Antmicro (Poland, EU).
     * AI(mgielda): Send Todd shipping information.
 * Todd should ship 2 interposers to Canberra (AU).
     * AI(anton): Send Todd shipping information.

 * Antmicro will aim to ship the DC-SCM boards once they have been verified.
     * 1 x (working) Rochester
     * (potentially) 1 x "display model" to Rochester
     * 1 x (working) Canberra
     
 * Recommendation for IBM to provide Antmicro 4 x AC922
 * Google has decided to purchase some AC922 devices.
     * Tim Ansell <tansell@google.com>
     * Henner Zeller <hzeller@google.com>
     * Ethan Mahintorabi <ethanmoon@google.com>
 * VanTosh will purchase AC922 based upon shipping
 
 * Looking to get CarlosDP who works for RedHat in Brazil a AC922.
     * https://carlosedp.medium.com/xilinx-open-source-fpga-toolchain-on-docker-containers-93202650a615
     * https://github.com/carlosedp/ppc64le-bringup

 * IBM and Antmicro to coordinate around bring up.
 
 * Antmicro DC-SCM board design
     * https://github.com/antmicro/artix-dc-scm


## Workgroup Collaboration Tools

 * Meeting invites are still not seeming to get mailed?
     * Need to delete the stuff from causeway.
     * Need to make the system actually sends emails with ical attachments.
https://github.com/antmicro/artix-dc-scm
- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
https://notes.openpower.foundation/fYDmTdnURSi-MyMVq9k6yA#
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera / freenode (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files (Google Drive being phased out)
https://files.openpower.foundation/s/iZRseq3XLtRcjtX
(https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty)

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

## LiteEth upstreaming

 * Getting DeviceTree generation into LiteX
     * Initial stuff from the litex-hub/litex-renode repo.
     * https://github.com/mateusz-holenko and mholenko@antmicro.com
     * https://github.com/litex-hub/litex-renode/pull/35
     * People involved;
         * Mateusz Holenko <mholenko@antmicro.com>
         * "Gabriel L. Somlo" <gsomlo@gmail.com>
         * Joel Stanley <joel@jms.id.au>,
         * Stafford Horne <shorne@gmail.com>,
         * Karol Gugala <kgugala@antmicro.com>,
         * Florent Kermarrec <florent@enjoy-digital.fr>,
         * Tim 'mithro' Ansell <me@mith.ro>

 * More drivers!
     * ["Firmware Drivers Sheet"](https://docs.google.com/spreadsheets/d/1XTHfdYXuvwoYdPXm4M6qDA0D2fZCPy220-9q6qZpTw4/edit#gid=1131619550)
     * 

## Improved SPI support

 * https://github.com/litex-hub/litespi
     * Proper module support.

## POWER Soft CPU on FPGA

 * Have a proposal to build a soft CPU which is comparable VexRISCV
 * Also looking at having a "POWER-formal" - https://github.com/SymbioticEDA/riscv-formal
 * Microwatt doesn't fit!
     * Xilinx Arty 35T part
     * ECP5 25T part

 * https://antmicro.com/blog/2020/05/multicore-vex-in-litex/
     * In collaboration with the creators of LiteX and SpinalHDL, we implemented a test design on Digilent’s Arty A7 board. Taking only 70% of a 35 KLUT FPGA - the Artix A35T - VexRiscv runs at 100 MHz and boots Linux in about 4 seconds.

## Changing to LiteX style

 * https://github.com/litex-hub/linux-on-litex-vexriscv
 * https://github.com/litex-hub/linux-on-litex-rocket
 * https://github.com/litex-hub/linux-on-litex-blackparrot
 * https://github.com/litex-hub/linux-on-litex-power
