---
title: Meeting Minutes 2021-09-01
date: 2021-09-01
attendees:
  - toshaanbharvani,vantosh
  - michaelgielda,antmicro
  - toddrosedahl,ibm
  - timpearson,raptorcomputingsystems
  - billflynn,ibm
  - karolgugala,antmicro
  - antonblanchard,ibm
  - micaelneuling,ibm
  - marshallgoldberg,lattice
  - lancealbertson,oregonstateuniversity
  - paulmackerras,ibm
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 19 August 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 941 7298 309600


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Getting hardware to people -- Update

 * There are 3 components;
     * AC922
         * Available for sale now for under $5K! [Buy](https://www-store.shop.ibm.com/shops/ips/product/server-18335-model-gth)
         * 1 is in Rochester
         * 1 is in Australia
         * Loaner from IBM Poland to Antmicro is in process
         * Any further action on aquiring AC922s?
             * Antmicro is purchasing one and should have it soon
             * VanTosh will also be purchasing at least one

     * Interposer
         * 6 pieces.  Parts for 4 more are in Rochester
             * Next step is to have them built
         * 2 are in Rochester
         * 2 are in Australia
             * Delivered
         * 2 are en route to Antmicro
             * Reports are these have been delivered.
             * Looking for confirmation.  Have not confirmed yet.
             * Todd to provide further information on tracking.
     *  DC-SCM board -- Need a bring-up plan
         *  4 boards, but only 3 have FPGAs
             *  Update is Google is providing some to Antmicro.  Shipping soon.
             *  Also attempting to get some from China
             *  Plan to have 10 total when the FPGAs arrive.
             *  Need to be tested
         *  Update: Australia can get into the plant, so best may be to send 1 DC-SCM to Australia for bringup in parallel with the Antmicro bringup.
             *  Need general smoke test, RAM, ethernet test, GPIOs
             *  Once the FPGAs come, they will test and ship to Australia
         *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
             *  PCBs sent in for production for lattice FPGA
             *  Still need memory and ethernet parts
             *  Marshall offered to help if there are issues getting FPGAs

## OCP Summit
 * Want to have a "LibreBMC" setup for OCP Summit booth
     * Plan to ship from Rochester.  Need a DC-SCM card in Rochester.
     * Likely will not have a live demo there, but we would like to have the hardware at the booth.

* LibreBMC was approved for a 5 minute "lightening" presentation.
    * Need to determine the key points to make and who will present

 * Want a demo to be videotaped for display at the booth.  Need to work on where/how.  Australia or Antmicro would be the best options.
     * Antmicro to consider this option.
     * Antmicro will help.
     * What to show on the demo
         * BMCweb UI.
         * Lots of sensors/etc could be shown.
     * For a live demo, could just power on the DC-SCM card?
         * What could be shown without power on the board

* Presentation of LibreBMC to the OCP DC-SCM working group has been moved to the public meeting on the first week of October.
    * Todd to create initial set of charts
    * Antmicro to update and co-present


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * ~~Need to delete the stuff from causeway~~.
     * TODO : Need to make the system actually sends emails with ical attachments.

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files (Google Drive being phased out)
https://files.openpower.foundation/s/iZRseq3XLtRcjtX
~~(https://drive.google.com/drive/u/1/folders/1p7YL3urCf4NtYbJTRxXDluytmMotUwty)~~
    ~~Toshaan to ask Paul if he can transfer the whole drive over to Tim A.
        Update on this?~~

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc

## LiteEth upstreaming

 * Updates from Anton will wait until Tim A. is back
 
## New agenda items for this week

* Top priority is booting an AC922 with OpenBMC on the Antmicro DC-SCM card using microwatt and a Xylinx FPGA
    * Get to a full function FPGA
        * What is done and what remains?
        * See Paul's list?
    * BoxArty : [Presentation](https://files.openpower.foundation/apps/files/?dir=/LibreBMC/Boxarty&fileid=412)
    * New LPC driver being developed by Anton and Mikey
        * better intregation with OpenBMC
        * more in line with Linux and Wishbone
    * Get to a full function OpenBMC stack
        * YOCTO is functionally working on ppc64le
    * Determine if the performance of the FPGA is adequate

* What are our next priorities beyond the above
    * Tim A thinks linux on LiteX
    * Tim A thinks focus on soft CPU.  Smaller micro-watt.  Goal is a 4 Core SMP complex on an Xilinx Artix 35T
    * Support Lattice FPGA
        * Other options for next priorities
    * Open tool chain support for new FPGAs
    * Jeremy Kerr at codeconstructs is working on getting lattice parts working

## Next Meeting

{{< localdatetime date="2021-09-16" time="15:00">}}
